Miracle Docs
Merchants

Update merchant

PATCH
/v1/admin/merchants/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.miracle.com/v1/admin/merchants/string" \  -H "Content-Type: application/json" \  -d '{    "businessCategory": "string",    "website": "http://example.com",    "descriptor": "string",    "contactPhone": "string",    "amountMismatchPolicy": "review",    "amountMismatchThresholdBp": 10000,    "allowedOrigins": [      "string"    ],    "antifraudPlanId": "1bad06ff-e578-4e6c-b223-ff265e686223"  }'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
    "livemode": true,
    "companyId": "8bb73d03-06b4-47c7-80c7-59301f770eda",
    "name": "string",
    "status": "sandbox",
    "defaultCurrency": "string",
    "allowedCurrencies": [
      "string"
    ],
    "allowedPaymentMethodTypes": [
      "card"
    ],
    "allowedBrands": [
      "string"
    ],
    "businessCategory": "string",
    "website": "string",
    "descriptor": "string",
    "contactEmail": "string",
    "contactPhone": "string",
    "amountMismatchPolicy": "review",
    "amountMismatchThresholdBp": 10000,
    "allowedOrigins": [
      "string"
    ],
    "threeDsConfig": {
      "defaultMode": "auto",
      "defaultChallengePreference": "no_preference",
      "autoUpgradeOnSoftDecline": true,
      "attemptNon3ds": true,
      "requireSca": true
    },
    "antifraudPlanId": "1bad06ff-e578-4e6c-b223-ff265e686223",
    "createdAt": "string",
    "updatedAt": "string",
    "deletedAt": null
  }
}
Empty
Empty
Empty
Empty

On this page